Eclipse Platform Release 3.7

## org.eclipse.jface.text.projection
Class ChildDocument

    java.lang.Object
      org.eclipse.jface.text.AbstractDocument
          org.eclipse.jface.text.projection.ProjectionDocument
              org.eclipse.jface.text.projection.ChildDocument

All Implemented Interfaces:
  IDocument, IDocumentExtension, IDocumentExtension2, IDocumentExtension3, IDocumentExtension4, IRepairableDocument, IRepairableDocumentExtension

    public class ChildDocument

extends ProjectionDocument

Implementation of a child document based on `ProjectionDocument`. This class exists for compatibility reasons.

Internal class. This class is not intended to be used by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jface.text.IDocumentExtension
`IDocumentExtension.IReplace`

Field Summary

Fields inherited from interface org.eclipse.jface.text.IDocument
`DEFAULT_CATEGORY, DEFAULT_CONTENT_TYPE`

Fields inherited from interface org.eclipse.jface.text.IDocumentExtension3
`DEFAULT_PARTITIONING`

Fields inherited from interface org.eclipse.jface.text.IDocumentExtension4
`UNKNOWN_MODIFICATION_STAMP`

Constructor Summary
`ChildDocument(IDocument masterDocument)` Creates a new child document.

Method Summary
`IDocument` `getParentDocument()` Returns the parent document of this child document.
`Position` `getParentDocumentRange()` Returns the parent document range of this child document.
`void` `setParentDocumentRange(int offset, int length)` Sets the parent document range covered by this child document to the given range.

Methods inherited from class org.eclipse.jface.text.projection.ProjectionDocument

`adaptProjectionToMasterChange, addMasterDocumentRange, computeProjectedMasterRegions, computeUnprojectedMasterRegions, dispose, fireDocumentAboutToBeChanged, fireDocumentChanged, getDefaultLineDelimiter, getDocumentInformationMapping, getFragments, getMasterDocument, getProjectionMapping, getSegments, isUpdating, masterDocumentAboutToBeChanged, masterDocumentChanged, registerPostNotificationReplace, removeMasterDocumentRange, replace, replaceMasterDocumentRanges, set, setAutoExpandMode, updateDocumentStructures`

Methods inherited from class org.eclipse.jface.text.AbstractDocument

`acceptPostNotificationReplaces, addDocumentListener, addDocumentPartitioningListener, addDocumentRewriteSessionListener, addPosition, addPosition, addPositionCategory, addPositionUpdater, addPrenotifiedDocumentListener, checkStateOfPartitioner, completeInitialization, computeIndexInCategory, computeIndexInPositionList, computeIndexInPositionList, computeNumberOfLines, computePartitioning, computePartitioning, containsPosition, containsPositionCategory, doFireDocumentChanged, doFireDocumentChanged, doFireDocumentChanged2, fireDocumentPartitioningChanged, fireDocumentPartitioningChanged, fireDocumentPartitioningChanged, fireRewriteSessionChanged, get, get, getActiveRewriteSession, getChar, getContentType, getContentType, getDocumentListeners, getDocumentManagedPositions, getDocumentPartitioner, getDocumentPartitioner, getDocumentPartitioningListeners, getLegalContentTypes, getLegalContentTypes, getLegalLineDelimiters, getLength, getLineDelimiter, getLineInformation, getLineInformationOfOffset, getLineLength, getLineOffset, getLineOfOffset, getModificationStamp, getNumberOfLines, getNumberOfLines, getPartition, getPartition, getPartitionings, getPositionCategories, getPositions, getPositions, getPositionUpdaters, getStore, getTracker, ignorePostNotificationReplaces, insertPositionUpdater, isLineInformationRepairNeeded, removeDocumentListener, removeDocumentPartitioningListener, removeDocumentRewriteSessionListener, removePosition, removePosition, removePositionCategory, removePositionUpdater, removePrenotifiedDocumentListener, repairLineInformation, replace, resumeListenerNotification, resumePostNotificationProcessing, search, set, setDocumentPartitioner, setDocumentPartitioner, setInitialLineDelimiter, setLineTracker, setTextStore, startRewriteSession, startRewriteSessionOnPartitioners, startSequentialRewrite, stopListenerNotification, stopPostNotificationProcessing, stopRewriteSession, stopRewriteSessionOnPartitioners, stopSequentialRewrite, updatePositions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildDocument

    public ChildDocument(IDocument masterDocument)

  Creates a new child document.

  Parameters:
    `masterDocument` - @inheritDoc

Method Detail

### getParentDocument

    public IDocument getParentDocument()

  Returns the parent document of this child document.

  Returns:
    the parent document of this child document
  See Also:
    `ProjectionDocument.getMasterDocument()`

### setParentDocumentRange

    public void setParentDocumentRange(int offset,
                                       int length)
                                throws BadLocationException

  Sets the parent document range covered by this child document to the given range.

  Parameters:
    `offset` - the offset of the range
    `length` - the length of the range
  Throws:
    `BadLocationException` - if the given range is not valid

### getParentDocumentRange

    public Position getParentDocumentRange()

  Returns the parent document range of this child document.

  Returns:
    the parent document range of this child document

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.